%define upstream_name MooseX-AbstractMethod
%define upstream_version 0.004

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Declare methods requirements that must be satisfied
License:	LGPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(MooseX::Traits)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Moose)

BuildArch:	noarch

%description
This extensions allows classes to flag certain methods as being required
to be implemented by a subclass, much as a Moose::Role does with
'requires'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.4.0-7pclos2017
- rebuild against updates

